/*
 * File:   main.c
 * Author: CYRAX
 *
 */
#define _LEGACY_HEADERS
/* -- INCLUDE --  (<> = Look in compiler dir, "" = Look in project dir)*/
#include <stdio.h>
#include <stdlib.h>
#include <htc.h>
#include "main.h"

#define _XTAL_FREQ PIC_CLK //Clock Frequency in Hz
/* COMPILER CONFIG */
__CONFIG(UNPROTECT & WDTDIS & BOREN & HS & DEBUGEN & WRTDIS & DUNPROT & PWRTEN & LVPDIS ); // config bits for V9.83

void main(void) {

       // CLRWDT(); //HI-TECH function to clear watch dog timer
   /* Init IO Ports */

// Set up PORTA
	TRISA = TRISA_INIT;
	PORTA = PORTA_INIT;
	ADCON0 = ADCON0_INIT;
	ADCON1 = ADCON1_INIT;

// Set up PORTB
	TRISB = TRISB_INIT;
	PORTB = PORTB_INIT;

// Set up PORTC
	TRISC = TRISC_INIT;
	PORTC = PORTC_INIT;

        // init SPI controller & MAX3100 Baudrate: 19200
	MAX3100_init();

        // start main process loop
for (;;)
	{
        delay( 250 );
 	SendString("Hello");
        delay( 250 );
        }

}
void SendString(unsigned char *str)
{
  TXLED_ON = 1; //LED ON
  delay(250);
  putst(str);
  TXLED_ON = 0; //LED OFF
  delay(250);
}

/* Delays a multiple of 1 milliseconds at 16 MHz  TMR0 timer */
void delay( char millisec )
{
    OPTION = 4;  /* prescaler divide by 32 */
    do  {
        TMR0 = 0;
        while ( TMR0 < 125); // 125 * 8 = 1000
    } while ( -- millisec > 0);
}